summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-21 12:56:26 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-23 23:21:40 -0500
commit696013dee3d401ffb89b2669fa85fb39d21d8b60 (patch)
treee45d1af2f8d4f8b859f35a944e39c67ff5f454b5 /system
parent7c31813faacaa8f5e35afdf5374954eb7b848fb3 (diff)
downloadslackbuilds-696013dee3d401ffb89b2669fa85fb39d21d8b60.tar.gz
slackbuilds-696013dee3d401ffb89b2669fa85fb39d21d8b60.tar.xz
system/hercules: Miscellaneous cleanups and dl link fix.
Diffstat (limited to 'system')
-rw-r--r--system/hercules/hercules.SlackBuild24
-rw-r--r--system/hercules/hercules.info2
2 files changed, 18 insertions, 8 deletions
diff --git a/system/hercules/hercules.SlackBuild b/system/hercules/hercules.SlackBuild
index c070c65c4d..a8f684555f 100644
--- a/system/hercules/hercules.SlackBuild
+++ b/system/hercules/hercules.SlackBuild
@@ -6,14 +6,21 @@
# Written by Niels Horn - niels.horn@gmail.com
# revision date 2010/03/10
-set -e
-
PRGNAM=hercules
VERSION=${VERSION:-3.07}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -35,8 +42,14 @@ elif [ "$ARCH" = "arm" ]; then
SLKCFLAGS="-O2 -march=armv4t"
LIBDIRSUFFIX=""
ARCHQUADLET="-gnueabi"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
fi
+set -e
+
rm -rf $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -62,10 +75,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
# Copy standard configuration file to /etc
mkdir -p $PKG/etc
diff --git a/system/hercules/hercules.info b/system/hercules/hercules.info
index 7431438f80..4a00a0c150 100644
--- a/system/hercules/hercules.info
+++ b/system/hercules/hercules.info
@@ -1,7 +1,7 @@
PRGNAM="hercules"
VERSION="3.07"
HOMEPAGE="http://www.hercules-390.org/"
-DOWNLOAD="http://www.hercules-390.org/hercules-3.07.tar.gz"
+DOWNLOAD="http://www.ibiblio.org/jmaynard/herc307/hercules-3.07.tar.gz"
MD5SUM="a12aa1645b0695b25b7fc0c9a3ccab3a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""